Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.blojsom.plugin.admin.event
Class AuthorizationEvent

    java.lang.Object
      org.blojsom.event.Event
          org.blojsom.plugin.admin.event.AuthorizationEvent

Direct Known Subclasses:
  AuthorizationAddedEvent, AuthorizationDeletedEvent

public class AuthorizationEvent
extends Event

AuthorizationEvent

Since:
  blojsom 3.0
Version:
  $Id: AuthorizationEvent.java,v 1.1 2006/03/20 21:30:49 czarneckid Exp $
Author:
  David Czarnecki

Field Summary
`protected Blog` | `_blog`
`protected java.lang.Integer` | `_blogUserID`
`protected java.util.Map` | `_context`
`protected javax.servlet.http.HttpServletRequest` | `_httpServletRequest`
`protected javax.servlet.http.HttpServletResponse` | `_httpServletResponse`

Fields inherited from class org.blojsom.event.Event
`_eventHandled, _source, _timestamp`

Constructor Summary
`AuthorizationEvent(java.lang.Object source, java.util.Date timestamp, javax.servlet.http.HttpServletRequest httpServletRequest, javax.servlet.http.HttpServletResponse httpServletResponse, Blog blog, java.util.Map context, java.lang.Integer blogUserID)` An event related to authorization for a given blog

Method Summary
`Blog` | `getBlog()` Retrieve the `Blog`
`java.lang.Integer` | `getBlogUserID()` Retrieve the authorized user ID
`java.util.Map` | `getContext()` Retrieve the context
`javax.servlet.http.HttpServletRequest` | `getHttpServletRequest()` Retrieve the request
`javax.servlet.http.HttpServletResponse` | `getHttpServletResponse()` Retrieve the response

Methods inherited from class org.blojsom.event.Event
`getSource, getTimestamp, isEventHandled, setEventHandled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _httpServletRequest

    protected javax.servlet.http.HttpServletRequest _httpServletRequest

### _httpServletResponse

    protected javax.servlet.http.HttpServletResponse _httpServletResponse

### _blog

    protected Blog _blog

### _context

    protected java.util.Map _context

### _blogUserID

    protected java.lang.Integer _blogUserID

Constructor Detail

### AuthorizationEvent

    public AuthorizationEvent(java.lang.Object source,
                              java.util.Date timestamp,
                              javax.servlet.http.HttpServletRequest httpServletRequest,
                              javax.servlet.http.HttpServletResponse httpServletResponse,
                              Blog blog,
                              java.util.Map context,
                              java.lang.Integer blogUserID)

  An event related to authorization for a given blog

Parameters:
  `source` - Source of the event
  `timestamp` - Event timestamp
  `httpServletRequest` - Request
  `httpServletResponse` - Response
  `blog` - `Blog`
  `context` - Context for the given operation
  `blogUserID` - Authorized user ID for the authorization event

Method Detail

### getHttpServletRequest

    public javax.servlet.http.HttpServletRequest getHttpServletRequest()

  Retrieve the request

  Returns:
    Request

### getHttpServletResponse

    public javax.servlet.http.HttpServletResponse getHttpServletResponse()

  Retrieve the response

  Returns:
    Response

### getBlog

    public Blog getBlog()

  Retrieve the `Blog`

  Returns:
    `Blog`

### getContext

    public java.util.Map getContext()

  Retrieve the context

  Returns:
    Context

### getBlogUserID

    public java.lang.Integer getBlogUserID()

  Retrieve the authorized user ID

  Returns:
    Authorized user ID

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD